Bug 493543 - PK traceback with yum-plugin-remove-with-leaves
PK traceback with yum-plugin-remove-with-leaves
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: yum-utils (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Seth Vidal
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-02 03:59 EDT by Michal Schmidt
Modified: 2014-01-21 18:08 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-14 10:15:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Michal Schmidt 2009-04-02 03:59:26 EDT
Description of problem:
I have yum-plugin-remove-with-leaves installed. It works OK in yum CLI. PackageKit does not like it though.
Any attempt to install or update packages using PackageKit results in an internal error with traceback:

Traceback (most recent call last):
  File "/usr/share/PackageKit/helpers/yum/yumBackend.py", line 1793, in _runYumTransaction
    rc, msgs = self.yumbase.buildTransaction()
  File "/usr/lib/python2.6/site-packages/yum/__init__.py", line 705, in buildTransaction
    self.plugins.run('postresolve', rescode=rescode, restring=restring)
  File "/usr/lib/python2.6/site-packages/yum/plugins.py", line 179, in run
    func(conduitcls(self, self.base, conf, **kwargs))
  File "/usr/lib/yum-plugins/remove-with-leaves.py", line 71, in postresolve_hook
    if opts.remove_leaves or remove_always:
AttributeError: 'NoneType' object has no attribute 'remove_leaves'


Version-Release number of selected component (if applicable):
PackageKit-0.4.6-1.fc11.x86_64
PackageKit-yum-0.4.6-1.fc11.x86_64
gnome-packagekit-2.27.1-1.fc11.x86_64
yum-3.2.22-1.fc11.noarch
yum-plugin-remove-with-leaves-1.1.21-2.fc11.noarch

How reproducible:
always

Steps to Reproduce:
Attempt to update packages using PackageKit.
  
Actual results:
A dialog window "Internal system error" appears. "More details" contains the above traceback.

Expected results:
Package should be updated without errors.
Comment 1 Steven Op de beeck 2009-04-14 09:55:49 EDT
I don't have any problems 'updating the packagelist' through gnome package kit, however installing or removing packages with this particular plugin installed & active fails after considerable time with a Traceback:

REMOVE:
Traceback (most recent call last):
  File "/usr/share/PackageKit/helpers/yum/yumBackend.py", line 1793, in _runYumTransaction
    rc, msgs = self.yumbase.buildTransaction()
  File "/usr/lib/python2.6/site-packages/yum/__init__.py", line 719, in buildTransaction
    self.plugins.run('postresolve', rescode=rescode, restring=restring)
  File "/usr/lib/python2.6/site-packages/yum/plugins.py", line 179, in run
    func(conduitcls(self, self.base, conf, **kwargs))
  File "/usr/lib/yum-plugins/remove-with-leaves.py", line 71, in postresolve_hook
    if opts.remove_leaves or remove_always:
AttributeError: 'NoneType' object has no attribute 'remove_leaves'

INSTALL:
Traceback (most recent call last):
  File "/usr/share/PackageKit/helpers/yum/yumBackend.py", line 1793, in _runYumTransaction
    rc, msgs = self.yumbase.buildTransaction()
  File "/usr/lib/python2.6/site-packages/yum/__init__.py", line 719, in buildTransaction
    self.plugins.run('postresolve', rescode=rescode, restring=restring)
  File "/usr/lib/python2.6/site-packages/yum/plugins.py", line 179, in run
    func(conduitcls(self, self.base, conf, **kwargs))
  File "/usr/lib/yum-plugins/remove-with-leaves.py", line 71, in postresolve_hook
    if opts.remove_leaves or remove_always:
AttributeError: 'NoneType' object has no attribute 'remove_leaves'


Deactivating or removing this plugin with yum-cli, fixes the problem.
Comment 2 Steven Op de beeck 2009-04-14 09:57:03 EDT
(In reply to comment #1)
> I don't have any problems 'updating the packagelist' through gnome package kit,
> however installing or removing packages with this particular plugin installed &
> active fails after considerable time with a Traceback:

I'm running rawhide with today's updates applied.

Note You need to log in before you can comment on or make changes to this bug.